org.cpsolver.studentsct.report

## Enum SolutionStatsReport.Statistics

- java.lang.Object
- - java.lang.Enum<SolutionStatsReport.Statistics>
  - - org.cpsolver.studentsct.report.SolutionStatsReport.Statistics

- All Implemented Interfaces:
    Serializable, Comparable<SolutionStatsReport.Statistics>
  Enclosing class:
    SolutionStatsReport

      public static enum SolutionStatsReport.Statistics
      extends Enum<SolutionStatsReport.Statistics>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSIGNED_COM`
    `BALANCING`
    `COMPL_SCHEDULE`
    `CREDITS`
    `CRITICAL`
    `DISTANCE`
    `F2F`
    `FULL_OFFERINGS`
    `IMPORTANT`
    `LC`
    `NBR_STUDENTS`
    `NOT_ASSIGNED_PRIORITY`
    `OVERLAP`
    `PREFERENCES`
    `REQUESTED_COURSES`
    `VITAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getNames()`
    `String[]` | `getNotes()`
    `String[]` | `getValues(SolutionStatsReport.StudentGroup group, StudentSectioningModel model, Assignment<Request,Enrollment> assignment, StudentSectioningReport.Filter filter)`
    `boolean` | `isNewLine()`
    `static SolutionStatsReport.Statistics` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolutionStatsReport.Statistics[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NBR_STUDENTS

          public static final SolutionStatsReport.Statistics NBR_STUDENTS

    - #### COMPL_SCHEDULE

          public static final SolutionStatsReport.Statistics COMPL_SCHEDULE

    - #### REQUESTED_COURSES

          public static final SolutionStatsReport.Statistics REQUESTED_COURSES

    - #### NOT_ASSIGNED_PRIORITY

          public static final SolutionStatsReport.Statistics NOT_ASSIGNED_PRIORITY

    - #### ASSIGNED_COM

          public static final SolutionStatsReport.Statistics ASSIGNED_COM

    - #### LC

          public static final SolutionStatsReport.Statistics LC

    - #### CRITICAL

          public static final SolutionStatsReport.Statistics CRITICAL

    - #### VITAL

          public static final SolutionStatsReport.Statistics VITAL

    - #### IMPORTANT

          public static final SolutionStatsReport.Statistics IMPORTANT

    - #### PREFERENCES

          public static final SolutionStatsReport.Statistics PREFERENCES

    - #### BALANCING

          public static final SolutionStatsReport.Statistics BALANCING

    - #### DISTANCE

          public static final SolutionStatsReport.Statistics DISTANCE

    - #### OVERLAP

          public static final SolutionStatsReport.Statistics OVERLAP

    - #### CREDITS

          public static final SolutionStatsReport.Statistics CREDITS

    - #### F2F

          public static final SolutionStatsReport.Statistics F2F

    - #### FULL_OFFERINGS

          public static final SolutionStatsReport.Statistics FULL_OFFERINGS

  - ### Method Detail

    - #### values

          public static SolutionStatsReport.Statistics[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolutionStatsReport.Statistics c : SolutionStatsReport.Statistics.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolutionStatsReport.Statistics valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNames

          public String[] getNames()

    - #### getNotes

          public String[] getNotes()

    - #### getValues

          public String[] getValues(SolutionStatsReport.StudentGroup group,
                                    StudentSectioningModel model,
                                    Assignment<Request,Enrollment> assignment,
                                    StudentSectioningReport.Filter filter)

    - #### isNewLine

          public boolean isNewLine()